PUT
/global-variables/:id/Update global variable
You can update a global variable.
| Attributes | Type | Required | Description |
|---|---|---|---|
| id | integer | yes | A unique identifier for the global variable which is given by User.com automatically. |
| author | integer | no | A unique identifier of an agent who created a global variable. A visible author. |
| integer_content | integer | no | An integer value of a global variable. |
| name | string | no | A global variable name. |
| text_content | string | no | A text value of a global variable. Can be used to store HTML code, string, or JSON. |
Request
- CURL
- JavaScript
- PHP
- Python
curl -X PUT -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2" -H "Content-Type: application/json" -d '{
"text_content": "February Promotions"
}' "https://<your_app_subdomain>.user.com/api/public/global-variables/:id/"
var data = JSON.stringify({
"text_content": "February Promotions"
});
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("PUT", "https://<your_app_subdomain>.user.com/api/public/global-variables/:id/");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/global-variables/:id/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => "{\n \"text_content\": \"February Promotions\"\n}",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>",
"content-type: application/json"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests
url = "https://<your_app_subdomain>.user.com/api/public/global-variables/:id"
payload = {
"text_content": "February Promotions"
}
headers = {
"authorization": "Token <your_64_char_api_key>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json)